Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.session
Interface TherLinkService

All Known Implementing Classes:
  TherLinkServiceImpl

    public interface TherLinkService

The interface Therapeutic Links Service Default impl : `TherLinkServiceImpl` Factory : `TherlinkSessionServiceFactory`

Method Summary
`GetTherapeuticLinkResponse` | `getTherapeuticLink(GetTherapeuticLinkRequest request)` Get a therapeutic link
`PutTherapeuticLinkResponse` | `putTherapeuticLink(PutTherapeuticLinkRequest request)` Put a therapeutic link
`RevokeTherapeuticLinkResponse` | `revokeTherapeuticLink(RevokeTherapeuticLinkRequest request)` Revoke a therapeutic link

Method Detail

### putTherapeuticLink

    PutTherapeuticLinkResponse putTherapeuticLink(PutTherapeuticLinkRequest request)
                                                  throws TherLinkBusinessConnectorException,
                                                         TechnicalConnectorException

  Put a therapeutic link

  Parameters:
    `request` - the putTherapeuticLink request
  Returns:
    the putTherapeuticLink response
  Throws:
    `TechnicalConnectorException`
    `TherLinkBusinessConnectorException`

### getTherapeuticLink

    GetTherapeuticLinkResponse getTherapeuticLink(GetTherapeuticLinkRequest request)
                                                  throws TechnicalConnectorException,
                                                         TherLinkBusinessConnectorException

  Get a therapeutic link

  Parameters:
    `request` - the getTherapeuticLink request
  Returns:
    the response
  Throws:
    `TherLinkBusinessConnectorException`
    `TechnicalConnectorException`

### revokeTherapeuticLink

    RevokeTherapeuticLinkResponse revokeTherapeuticLink(RevokeTherapeuticLinkRequest request)
                                                        throws TechnicalConnectorException,
                                                               TherLinkBusinessConnectorException

  Revoke a therapeutic link

  Parameters:
    `request` - the request
  Returns:
    the response
  Throws:
    `TherLinkBusinessConnectorException`
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.